// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import * as React from 'react';
import { SVGProps } from 'react';

const IconNewsetVersion: React.FunctionComponent<React.SVGProps<SVGSVGElement>> = (props: SVGProps<SVGSVGElement>) => (
  <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path
      d="M11.9999 23.9974C11.7538 23.9974 11.5284 23.8791 11.3885 23.6741L9.35724 20.7283C9.16811 20.4551 8.8598 20.2921 8.53336 20.2921C8.44527 20.2921 8.35718 20.3026 8.27168 20.3263L4.84919 21.2565C4.78442 21.2749 4.71965 21.2828 4.65229 21.2828C4.44502 21.2828 4.24553 21.1935 4.10303 21.0358C3.96054 20.8781 3.89317 20.6732 3.91131 20.4577L4.22221 16.8786C4.25848 16.4529 4.0279 16.0455 3.64445 15.8642L0.431821 14.348C0.209009 14.2429 0.0535593 14.0405 0.012106 13.7935C-0.0319382 13.5465 0.0457868 13.3021 0.219373 13.126L2.72471 10.5849C3.02265 10.2827 3.10297 9.81758 2.9242 9.43129L1.4267 6.17541C1.32307 5.94679 1.33343 5.69451 1.45779 5.4764C1.58215 5.25829 1.7946 5.12165 2.04073 5.10062L5.56944 4.78791C5.98916 4.75112 6.3441 4.44892 6.45292 4.03372L7.36748 0.562356C7.45557 0.231249 7.75352 0 8.09032 0C8.24318 0 8.39086 0.047301 8.51781 0.136647L11.4195 2.1995C11.5905 2.32038 11.79 2.38344 11.9973 2.38344C12.2046 2.38344 12.4041 2.32038 12.5751 2.1995L15.4794 0.141903C15.6063 0.0525567 15.754 0.00525567 15.9069 0.00525567C16.2463 0.00525567 16.5442 0.236505 16.6297 0.567612L17.5443 4.03898C17.6531 4.45155 18.008 4.75375 18.4303 4.79317L21.9591 5.10588C22.2052 5.1269 22.4176 5.26355 22.542 5.48166C22.6664 5.69977 22.6767 5.95467 22.5731 6.18066L21.0756 9.43655C20.8968 9.82547 20.9771 10.288 21.2751 10.5902L23.7804 13.1313C23.9566 13.3073 24.0317 13.5517 23.9877 13.7988C23.9436 14.0458 23.7908 14.2481 23.568 14.3532L20.3553 15.8695C19.9719 16.0508 19.7413 16.4581 19.7776 16.8838L20.0885 20.4629C20.1066 20.6784 20.0392 20.8834 19.8967 21.0411C19.7543 21.1987 19.5548 21.2881 19.3475 21.2881C19.2827 21.2881 19.2154 21.2802 19.1506 21.2618L15.7281 20.3315C15.6426 20.3079 15.5545 20.2974 15.4664 20.2974C15.1374 20.2974 14.8291 20.4603 14.6425 20.7336L12.6113 23.6768C12.4688 23.8817 12.246 24 11.9999 24V23.9974Z"
      fill="#01012B"
    />
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M16.1997 8.30521C16.6023 8.70991 16.5998 9.36349 16.1939 9.76503L11.2053 14.7005C10.8028 15.0988 10.1538 15.1 9.7498 14.7033L7.80887 12.7975C7.40149 12.3975 7.39644 11.7439 7.7976 11.3377C8.19875 10.9315 8.8542 10.9264 9.26158 11.3264L10.4734 12.5163L14.7356 8.29949C15.1415 7.89795 15.797 7.90051 16.1997 8.30521Z"
      fill="white"
    />
  </svg>
);

export default IconNewsetVersion;
